package export

func (export *Export) Export() (render string) {
	// Print the valid solutions
	switch export.Controller.Output {
	case "human":
		render = export.renderHumanReadable()
	case "flat":
		render = export.renderFlat()
	case "json":
		render = export.renderJSON()
	}
	return
}
